
Core - Bug # 53761

Status: Resolved Priority: Should have
Author: Cynthia Mattingly Category: DBAL
Created: 2013-11-19 Assigned To:
Updated: 2014-01-16 Due date:
TYPO3 Version: 6.2
PHP Version: 5.5
Complexity:
Is Regression: No
Sprint Focus:
Subject: Deprecated function call mysql_list_dbs in dbal
Description

Result of php codesniffer for deprecated functions:

/typo3_src-6.2.0beta1/typo3/sysext/dbal/Classes/Database/DatabaseConnection.php
------------------------------------------------------------------------------------------------------------------------
FOUND 1 ERROR AFFECTING 1 LINE
------------------------------------------------------------------------------------------------------------------------
 2503 | ERROR | Function mysql_list_dbs() has been deprecated
------------------------------------------------------------------------------------------------------------------------

mysql_list_dbs is deprecated in 5.5.

Related issues:
related to Core - Bug # 55095: Replace SHOW DATABASE by query to schema Closed 2014-01-17

Associated revisions
Revision 6293aa70 - 2014-01-16 23:26 - Ingo Schmitt

[BUGFIX] Deprecated function call mysql_list_dbs in dbal

replaced mysql_list_dbs by show databases query

Resolves: #53761
Releases: 6.2
Change-Id: I2b41b19aa900ba7eef33f2a990c8c029cbc1c08c
Reviewed-on: https://review.typo3.org/26390
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Oliver Klee
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History
#1 - 2013-11-19 16:48 - Markus Klein
- Project changed from Core to DBAL
- Category deleted (DBAL)

#2 - 2013-11-19 16:53 - Markus Klein
Blocker: mysql not used anymore in 6.2

#3 - 2013-11-19 17:20 - Ingo Schmitt

If mysql is not used anymore, this file could be deleted?

#4 - 2013-12-08 11:42 - Michael Stucki
- Project changed from DBAL to Core

#5 - 2013-12-08 11:44 - Michael Stucki
- Category set to DBAL

#6 - 2013-12-13 18:11 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26390

#7 - 2014-01-16 20:40 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26390

#8 - 2014-01-16 23:30 - Ingo Schmitt
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6293aa704d4f98c7d0b1218e7bafbda55583c821.
